# Method: projects.locations.tlsInspectionPolicies.list

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/list#body.ListTlsInspectionPoliciesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/list#body.aspect)

Lists TlsInspectionPolicies in a given project and location.

### HTTP request

`GET https://networksecurity.googleapis.com/v1beta1/{parent=projects/*/locations/*}/tlsInspectionPolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location from which the TlsInspectionPolicies should be listed, specified in the format `projects/{project}/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networksecurity.tlsInspectionPolicies.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of TlsInspectionPolicies to return per call. |
| `pageToken` | `string` The value returned by the last 'ListTlsInspectionPoliciesResponse' Indicates that this is a continuation of a prior 'tlsInspectionPolicies.list' call, and that the system should return the next page of data. |

### Request body

The request body must be empty.

### Response body

Response returned by the tlsInspectionPolicies.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tlsInspectionPolicies": [ { object (`https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies#TlsInspectionPolicy`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `tlsInspectionPolicies[]` | ``object (`https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies#TlsInspectionPolicy`)`` List of TlsInspectionPolicies resources. |
| `nextPageToken` | `string` If there might be more results than those appearing in this response, then 'nextPageToken' is included. To get the next set of results, call this method again using the value of 'nextPageToken' as 'pageToken'. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).